<p align="center" >
  <img src="Screenshots/Shapes_Logo.png" alt="EPShapes" title="EPShapes" width="196">
</p>

# EPShapes

Create shapes(Polygons, Stars, Hearts, Arrows) in Interface builder using IBInspectable and IBDesignable 

[![CI Status](http://img.shields.io/travis/ipraba/EPShapes.svg?style=flat)](https://travis-ci.org/ipraba/EPShapes)
[![Swift 2.0](https://img.shields.io/badge/Swift-2.0-orange.svg?style=flat)](https://developer.apple.com/swift/)
[![Version](https://img.shields.io/cocoapods/v/EPShapes.svg?style=flat)](http://cocoapods.org/pods/EPShapes)
[![License](http://img.shields.io/badge/license-MIT-33e0ff.svg)](https://github.com/ipraba/EPShapes/blob/master/LICENSE)
[![Platform](https://img.shields.io/cocoapods/p/EPShapes.svg?style=flat)](http://cocoapods.org/pods/EPShapes)
[![Carthage compatible](https://img.shields.io/badge/Carthage-compatible-4BC51D.svg?style=flat)](https://github.com/Carthage/Carthage)
[![Twitter: @HaveYouMetPrabu](https://img.shields.io/badge/contact-@HaveYouMetPrabu-blue.svg?style=flat)](https://twitter.com/HaveYouMetPrabu)


### Features 

1. Design shapes in interface builder using IBInspectable and IBDesignable Protocols
2. UIBezierPath extensions that can easily draw polygons, stars, arrows and hearts
3. Designable classes that can be used with custom views
4. Support for creating programmatically
5. Scale shapes
6. Apply extrusions for stars to generate different star shapes
7. Create stars with n number of corners
8. Equilateral Polygon UIViews/UIImageViews/UIButtons with 'n' number of sides can be designed directly from IB/ Storyboards


### Screenshots

![Polygon](https://raw.githubusercontent.com/ipraba/EPShapes/master/Screenshots/Polygon.gif)
![Star](https://raw.githubusercontent.com/ipraba/EPShapes/master/Screenshots/Star.gif)
![Heart](https://raw.githubusercontent.com/ipraba/EPShapes/master/Screenshots/Heart.gif)
![Arrow](https://raw.githubusercontent.com/ipraba/EPShapes/master/Screenshots/Arrow.gif)


### Installation

##### [CocoaPods](http://cocoapods.org)

EPShapes is available through CocoaPods. To install it, simply add the following line to your Podfile:
```ruby
pod "EPShapes"
```

##### [Carthage](https://github.com/Carthage/Carthage#if-youre-building-for-ios)

To integrate EPShapes into your Xcode project using Carthage, specify it in your Cartfile:
```ruby
github "ipraba/EPShapes"
```

##### Manual Installation

Just drag and drop the files in `Pod/Classes` folder into your project


## License

EPShapes is available under the MIT license. See the LICENSE file for more info.
